SDL_EGL_GetWindowSurface(3)

NAME
SDL_EGL_GetWindowSurface - Get the EGL surface associated with the window.

SYNOPSIS
#include <SDL3/SDL_video.h>

SDL_EGLSurface SDL_EGL_GetWindowSurface(SDL_Window *window);

FUNCTION PARAMETERS

window
    the window to query.

RETURN VALUE
Returns the EGLSurface pointer associated with the window, or NULL on failure.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.